Subject: Re: [bug#34780] [PATCH] gnu: openmpi: Add Java support.

From: Ludovic Courtès <[email-masked]>
Date: Mon, 18 Mar 2019 10:27:53 +0100

Hi Ricardo,

Ricardo Wurmus <[email-masked]> skribis:

> * gnu/packages/mpi.scm (openmpi)[native-inputs]: Add openjdk11.
> [outputs]: Add "java".
> [arguments]: Add "--enable-mpi-java" to configure flags; add build phases
> "set-JAVA_HOME" and "move-java".

Nice.

I’m uncomfortable adding OpenJDK as an input to Open MPI though, because
that puts more stress on the build times and potentially on platform
support as well.

Would it be an option to create a separate “openmpi-java” or would that
create problems down the road?

Thank you,
Ludo’.